/* ----기본 설정------- */

:root {
    /* Primary */
    --color-primary: #F72F3A;
    
    --color-html-background: #0b0b0c;
    
    --color-background01: #FFFFFF;
    --color-background02: #f5eeee;
    --color-box01: #F3F4F6;
    --color-box02: #fff8f8;
    --color-border: #e0e0e0;

    /* dark */
    --color-dark-background01: #18171D;
    --color-dark-background02: #0a0a0a;
    --color-dark-box01: #2C2C34;
    --color-dark-box02: #111113;
    --color-dark-border: #38384A;

    /* Text */
    --color-text-primary: #17161B;
    --color-text-secondary: #5E6881;
    --color-text-disabled: #fcfcfc;
}

* {
    margin: 0;
    padding: 0;

    font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
}

html,
body {
    height: 100%;
}

html {
    display: flex;
    justify-content: center;
    align-items: center;
}

body {
    min-height: 100dvh;
    width: clamp(2rem, 100vw, 1200px);
    display: flex;
    flex-direction: column;
    user-select: none;
    background: linear-gradient(180deg, var(--color-background01) , var(--color-background02) 95%);
}

body.dark {
    background: linear-gradient(180deg, var(--color-dark-background01) , var(--color-dark-background02));
}

button {
    border: none;
    background: none;
    padding: 0;
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
    color: var(--color-text-primary);
}

body.dark h1,
body.dark h3,
body.dark p {
    color: var(--color-text-disabled);
}



/* ------------------- */

.exchange-header {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    border-bottom: 1px solid var(--color-border);
}

body.dark .exchange-header {
    border-bottom: 1px solid var(--color-dark-border);
}

.exchange-header svg {
    width: clamp(1.25rem, 3vw, 1.5rem);
    height: clamp(1.25rem, 3vw, 1.5rem);
    padding: 1rem;
}

body.dark .exchange-header svg,
body.dark .step-header .language-button svg {
    fill: var(--color-text-disabled);
}

.exchange-header button :hover {
    cursor: pointer;
    fill: var(--color-primary);
    transition: fill 0.2s ease;
}

.exchange-header h1 {
    width: 100%;
    text-align: center;
    margin-right: clamp(1.25rem, 3vw, 1.5rem);
    font-size: clamp(1rem, 5vw, 2rem);
    padding: 1rem 2rem 1rem 0;
}

.step-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.step-header h2 {
    font-size: clamp(1rem, 3vw, 1.2rem);
    padding: 1rem 1.5rem;
    color: var(--color-primary);
}

.step-header .language-button {
    display: flex;
    padding: 1rem 1.5rem;
    gap: 0.5rem;
    cursor: pointer;
}

/* ------------------- */

.swiper {
    flex: 1;
    display: flex;
    height: auto;
    width: 100%;
}

.swiper-wrapper{
    flex: 1;
}

.swiper-pagination-progressbar {
    background: var(--color-border);
}
.body.dark .swiper-pagination-progressbar {
    background: var(--color-dark-border);
}
.swiper-pagination-progressbar .swiper-pagination-progressbar-fill{
    background: var(--color-primary);
}

.swiper-slide {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1.7rem;
    padding: 3rem 1.5rem 2.5rem;
    box-sizing: border-box;
}

.swiper-slide .guide-text {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.guide-text h3 {
    font-size: clamp(1.25rem, 7vw, 2rem);
}

.guide-text p,
body.dark .guide-text p {
    font-size: clamp(0.7rem, 4vw, 1.2rem);
    color: var(--color-text-secondary);
    white-space: normal;
    word-break: keep-all;
    overflow-wrap: break-word;
    padding: 0 1rem;
}

.swiper-slide .guide-image {
    background: #000000;
    border: 1px solid var(--color-border);
    width: 100%;
    flex: 1;
    border-radius: 1.2rem;
    overflow: hidden;
    position: relative;
}

body.dark .swiper-slide .guide-image {
    border: 1px solid var(--color-dark-border);
}

.guide-mp4 {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.guide-mp4 video {
    width: auto;
    height: 100%;
    display: block;
}

.play-icon{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    fill: var(--color-text-disabled);
    width: 5rem;
    display: none;
}


/* ------------------- */

.next-button {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 1rem;
    width: calc(100% - 2.4rem);
    padding: 1rem 1.2rem;
    border-radius: 0.5rem;
    background-color: var(--color-primary);
    color: var(--color-text-disabled);
    font-size: clamp(1rem, 3vw, 1.2rem);
}